summaryrefslogtreecommitdiffhomepage
path: root/applications/luci-vnstat/ipkg/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'applications/luci-vnstat/ipkg/postinst')
-rwxr-xr-xapplications/luci-vnstat/ipkg/postinst7
1 files changed, 7 insertions, 0 deletions
diff --git a/applications/luci-vnstat/ipkg/postinst b/applications/luci-vnstat/ipkg/postinst
new file mode 100755
index 000000000..816084a48
--- /dev/null
+++ b/applications/luci-vnstat/ipkg/postinst
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+[ -n "${IPKG_INSTROOT}" ] || {
+ ( . /etc/uci-defaults/luci-vnstat ) && rm -f /etc/uci-defaults/luci-vnstat
+ /etc/init.d/vnstat enabled || /etc/init.d/vnstat enable
+ exit 0
+}